1 Reply Latest reply on Oct 15, 2009 6:39 AM by Sebastian Schneider

    JBPM and JBPM-BPEL version

    st mod Newbie

      Hello to all,
      I have a JBOSS 4.2.2GA up and running.

      A part I have not directly deployed and that is totally out of my control, uses this two jar for jbpm (put in jboss/server/default/lib)

      jbpm-3.1.2.jar
      jbpm-identity-3.1.2.jar

      The db used is Hypersonic.

      I would like to add to Jboss a Jbpm-bpel (I tried both jbpm-bpel 1.1GA and jbpm-bpel 1.1.1), but when i tried to install it following the instructions I got several errors realted to jbpm context probably due to conflicts in JBPM version.

      With jbpm-bpel 1.1.1 I have exceptions as soon as i try to deploy the jbpm-bpel.ear

      With jbpm-bpel 1.1GA I do not have any exception when i deploy the ear, but I got exceptions when I try to use any of the link on the jbpm-bpel console.

      I cannot change the jar already used in the Jboss, so my question is

      which version of Jbpm-bpel I have to use for not changing JBPM jars?

      thanks in advance

      stmod

        • 1. Re: JBPM and JBPM-BPEL version
          Sebastian Schneider Master

          I have no experience with jBPM-BPEL so I cannot help you but there are some BPEL users around I think. So let's wait what they have to say about it. However, have you taken a look at Riftsaw? AFAIK the active development of jBPM-BPEL stopped and Riftsaw is the BPEL 2.0 project at JBoss. Just in case you didn't know you might want to consider using Riftsaw.